libnvme(2)

NAME
enum nvme_pmrsts - This field indicates the persistent memory region status

SYNOPSIS
enum nvme_pmrsts {
NVME_PMRSTS_ERR_SHIFT ,
NVME_PMRSTS_NRDY_SHIFT ,
NVME_PMRSTS_HSTS_SHIFT ,
NVME_PMRSTS_CBAI_SHIFT ,
NVME_PMRSTS_ERR_MASK ,
NVME_PMRSTS_NRDY_MASK ,
NVME_PMRSTS_HSTS_MASK ,
NVME_PMRSTS_CBAI_MASK

};

Constants

NVME_PMRSTS_ERR_SHIFT
    Shift amount to get the error

NVME_PMRSTS_NRDY_SHIFT
    Shift amount to get the not ready

NVME_PMRSTS_HSTS_SHIFT
    Shift amount to get the health status

NVME_PMRSTS_CBAI_SHIFT
    Shift amount to get the controller base address invalid

NVME_PMRSTS_ERR_MASK
    Mask to get the error

NVME_PMRSTS_NRDY_MASK
    Mask to get the not ready

NVME_PMRSTS_HSTS_MASK
    Mask to get the health status

NVME_PMRSTS_CBAI_MASK
    Mask to get the controller base address invalid